# $Id: smeserver-arpwatch.spec,v 1.5 2015/09/07 19:39:41 stephdl Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

Summary: Arpwatch is a tool that monitors ethernet activity
%define name smeserver-arpwatch
Name: %{name}
%define version 0.2
%define release 3
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Monitoring
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-arpwatch-0.2.bz8429.change-user2arpwatch.patch 
#REM contribs9 Patch0:         smeserver-arpwatch-0.2-not_supervised.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch

BuildRequires: e-smith-devtools

Requires: e-smith-base
Requires: arpwatch

%description
Arpwatch is a tool that monitors ethernet activity and keeps
a database of ethernet/ip address pairings.
It also reports certain changes via email.
Arpwatch uses libpcap, a system-independent interface for 
user-level packet capture.

%changelog
* Mon Sep 07 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 0.2-3.sme
- changed the user pcap to arpwatch [SME: 8429]

* Mon Jun 16 2014 JP Pialasse <tests@pialasse.com> 0.2-1.sme
- initial import to SME9 contribs

* Tue Mar 03 2009 Daniel B. <daniel@firewall-services.com> [0.1-2]
- Add e-smith-devtools as a build dependency

* Tue Jan 27 2009 Daniel B. <daniel@firewall-services.com> [0.1-1]
- Service not supervised (as the only option to disable forking is -d
  which also disable email alerts)

* Tue Jan 27 2009 Daniel B. <daniel@firewall-services.com> [0.1-0]
- Initial release

%prep

%setup -q -n %{name}-%{version}
#REM contribs9 %patch0 -p1
%patch0 -p1

%build
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
        --dir /var/lib/arpwatch  'attr(0750,arpwatch,arpwatch)' \
	--file /var/lib/arpwatch/arp.dat 'attr(0750,arpwatch,arpwatch) %config(noreplace)' \
        > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT
%pre

%post

%preun
if [ $1 -eq 0 ] ; then
        /sbin/e-smith/db configuration setprop arpwatch status disabled
        /etc/init.d/arpwatch stop
fi

true

